@call set_mingw.bat

@call c SDL.c                           SDL.o
@call c SDL_error.c                     SDL_error.o
@call c SDL_fatal.c                     SDL_fatal.o

@call c audio/SDL_audio.c               SDL_audio.o
@call c audio/SDL_audiocvt.c            SDL_audiocvt.o
@call c audio/SDL_audiodev.c            SDL_audiodev.o
@call c audio/SDL_mixer.c               SDL_mixer.o
@call c audio/SDL_mixer_m68k.c          SDL_mixer_m68k.o
@call c audio/SDL_mixer_MMX.c           SDL_mixer_MMX.o
@call c audio/SDL_mixer_MMX_VC.c        SDL_mixer_MMX_VC.o
@call c audio/SDL_wave.c                SDL_wave.o
@call c audio/disk/SDL_diskaudio.c      SDL_diskaudio.o
@call c audio/dummy/SDL_dummyaudio.c    SDL_dummyaudio.o
@call c audio/windib/SDL_dibaudio.c     SDL_dibaudio.o
@call c audio/windx5/SDL_dx5audio.c     SDL_dx5audio.o

@call c cdrom/SDL_cdrom.c               SDL_cdrom.o
@call c cdrom/win32/SDL_syscdrom.c      SDL_syscdrom.o

@call c cpuinfo/SDL_cpuinfo.c           SDL_cpuinfo.o

@call c events/SDL_active.c             SDL_active.o
@call c events/SDL_events.c             SDL_events.o
@call c events/SDL_expose.c             SDL_expose.o
@call c events/SDL_keyboard.c           SDL_keyboard.o
@call c events/SDL_mouse.c              SDL_mouse.o
@call c events/SDL_quit.c               SDL_quit.o
@call c events/SDL_resize.c             SDL_resize.o

@call c file/SDL_rwops.c                SDL_rwops.o

@call c joystick/SDL_joystick.c         SDL_joystick.o
@call c joystick/win32/SDL_mmjoystick.c SDL_mmjoystick.o

@call c stdlib/SDL_getenv.c             SDL_getenv.o
@call c stdlib/SDL_iconv.c              SDL_iconv.o
@call c stdlib/SDL_malloc.c             SDL_malloc.o
@call c stdlib/SDL_qsort.c              SDL_qsort.o
@call c stdlib/SDL_stdlib.c             SDL_stdlib.o
@call c stdlib/SDL_string.c             SDL_string.o

@call c thread/SDL_thread.c             SDL_thread.o
@call c thread/win32/SDL_sysmutex.c     SDL_sysmutex.o
@call c thread/win32/SDL_syssem.c       SDL_syssem.o
@call c thread/win32/SDL_systhread.c    SDL_systhread.o
@call c thread/generic/SDL_syscond.c    SDL_syscond.o

@call c timer/SDL_timer.c               SDL_timer.o
@call c timer/win32/SDL_systimer.c      SDL_systimer.o

@call c video/SDL_blit.c                SDL_blit.o
@call c video/SDL_blit_0.c              SDL_blit_0.o
@call c video/SDL_blit_1.c              SDL_blit_1.o
@call c video/SDL_blit_A.c              SDL_blit_A.o
@call c video/SDL_blit_N.c              SDL_blit_N.o
@call c video/SDL_bmp.c                 SDL_bmp.o
@call c video/SDL_cursor.c              SDL_cursor.o
@call c video/SDL_gamma.c               SDL_gamma.o
@call c video/SDL_pixels.c              SDL_pixels.o
@call c video/SDL_RLEaccel.c            SDL_RLEaccel.o
@call c video/SDL_stretch.c             SDL_stretch.o
@call c video/SDL_surface.c             SDL_surface.o
@call c video/SDL_video.c               SDL_video.o
@call c video/SDL_yuv.c                 SDL_yuv.o
@call c video/SDL_yuv_mmx.c             SDL_yuv_mmx.o
@call c video/SDL_yuv_sw.c              SDL_yuv_sw.o
@call c video/dummy/SDL_nullevents.c    SDL_nullevents.o
@call c video/dummy/SDL_nullmouse.c     SDL_nullmouse.o
@call c video/dummy/SDL_nullvideo.c     SDL_nullvideo.o
@call c video/wincommon/SDL_sysevents.c SDL_sysevents.o
@call c video/wincommon/SDL_sysmouse.c  SDL_sysmouse.o
@call c video/wincommon/SDL_syswm.c     SDL_syswm.o
@call c video/wincommon/SDL_wingl.c     SDL_wingl.o
@call c video/windib/SDL_dibevents.c    SDL_dibevents.o
@call c video/windib/SDL_dibvideo.c     SDL_dibvideo.o
@call c video/windx5/SDL_dx5events.c    SDL_dx5events.o
@call c video/windx5/SDL_dx5video.c     SDL_dx5video.o
@call c video/windx5/SDL_dx5yuv.c       SDL_dx5yuv.o

@call c loadso/win32/SDL_sysloadso.c    SDL_sysloadso.o


gcc -O3 -s -I"include/SDL" -c -o obj/SDL_win32_main.o src/main/win32/SDL_win32_main.c
@ar r libSDLmain.a obj/SDL_win32_main.o


gcc -shared -o SDL-1.2.11-MinGW-GCC-3.4.5.dll obj/SDL.o obj/SDL_error.o obj/SDL_fatal.o obj/SDL_audio.o obj/SDL_audiocvt.o obj/SDL_audiodev.o obj/SDL_mixer.o obj/SDL_mixer_m68k.o obj/SDL_mixer_MMX.o obj/SDL_mixer_MMX_VC.o obj/SDL_wave.o obj/SDL_diskaudio.o obj/SDL_dummyaudio.o obj/SDL_dibaudio.o obj/SDL_dx5audio.o obj/SDL_cdrom.o obj/SDL_syscdrom.o obj/SDL_cpuinfo.o obj/SDL_active.o obj/SDL_events.o obj/SDL_expose.o obj/SDL_keyboard.o obj/SDL_mouse.o obj/SDL_quit.o obj/SDL_resize.o obj/SDL_rwops.o obj/SDL_joystick.o obj/SDL_mmjoystick.o obj/SDL_getenv.o obj/SDL_iconv.o obj/SDL_malloc.o obj/SDL_qsort.o obj/SDL_stdlib.o obj/SDL_string.o obj/SDL_thread.o obj/SDL_sysmutex.o obj/SDL_syssem.o obj/SDL_systhread.o obj/SDL_syscond.o obj/SDL_timer.o obj/SDL_systimer.o obj/SDL_blit.o obj/SDL_blit_0.o obj/SDL_blit_1.o obj/SDL_blit_A.o obj/SDL_blit_N.o obj/SDL_bmp.o obj/SDL_cursor.o obj/SDL_gamma.o obj/SDL_pixels.o obj/SDL_RLEaccel.o obj/SDL_stretch.o obj/SDL_surface.o obj/SDL_video.o obj/SDL_yuv.o obj/SDL_yuv_mmx.o obj/SDL_yuv_sw.o obj/SDL_nullevents.o obj/SDL_nullmouse.o obj/SDL_nullvideo.o obj/SDL_sysevents.o obj/SDL_sysmouse.o obj/SDL_syswm.o obj/SDL_wingl.o obj/SDL_dibevents.o obj/SDL_dibvideo.o obj/SDL_dx5events.o obj/SDL_dx5video.o obj/SDL_dx5yuv.o obj/SDL_sysloadso.o -lm -luser32 -lgdi32 -lwinmm -ldxguid -Wl,--output-def,SDL.def
gcc -shared -o SDL-1.2.11-MinGW-GCC-3.4.5.dll obj/SDL.o obj/SDL_error.o obj/SDL_fatal.o obj/SDL_audio.o obj/SDL_audiocvt.o obj/SDL_audiodev.o obj/SDL_mixer.o obj/SDL_mixer_m68k.o obj/SDL_mixer_MMX.o obj/SDL_mixer_MMX_VC.o obj/SDL_wave.o obj/SDL_diskaudio.o obj/SDL_dummyaudio.o obj/SDL_dibaudio.o obj/SDL_dx5audio.o obj/SDL_cdrom.o obj/SDL_syscdrom.o obj/SDL_cpuinfo.o obj/SDL_active.o obj/SDL_events.o obj/SDL_expose.o obj/SDL_keyboard.o obj/SDL_mouse.o obj/SDL_quit.o obj/SDL_resize.o obj/SDL_rwops.o obj/SDL_joystick.o obj/SDL_mmjoystick.o obj/SDL_getenv.o obj/SDL_iconv.o obj/SDL_malloc.o obj/SDL_qsort.o obj/SDL_stdlib.o obj/SDL_string.o obj/SDL_thread.o obj/SDL_sysmutex.o obj/SDL_syssem.o obj/SDL_systhread.o obj/SDL_syscond.o obj/SDL_timer.o obj/SDL_systimer.o obj/SDL_blit.o obj/SDL_blit_0.o obj/SDL_blit_1.o obj/SDL_blit_A.o obj/SDL_blit_N.o obj/SDL_bmp.o obj/SDL_cursor.o obj/SDL_gamma.o obj/SDL_pixels.o obj/SDL_RLEaccel.o obj/SDL_stretch.o obj/SDL_surface.o obj/SDL_video.o obj/SDL_yuv.o obj/SDL_yuv_mmx.o obj/SDL_yuv_sw.o obj/SDL_nullevents.o obj/SDL_nullmouse.o obj/SDL_nullvideo.o obj/SDL_sysevents.o obj/SDL_sysmouse.o obj/SDL_syswm.o obj/SDL_wingl.o obj/SDL_dibevents.o obj/SDL_dibvideo.o obj/SDL_dx5events.o obj/SDL_dx5video.o obj/SDL_dx5yuv.o obj/SDL_sysloadso.o -lm -luser32 -lgdi32 -lwinmm -ldxguid -Wl,--kill-at
dlltool -d SDL.def --dllname SDL-1.2.11-MinGW-GCC-3.4.5.dll --output-lib libSDL-dll.a --kill-at
